## org.gnu.gtk.event
Class ExposeEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.ExposeEvent.Type

Enclosing class:
  ExposeEvent

public static class ExposeEvent.Type
extends EventType

Field Summary
`static ExposeEvent.Type` `EXPOSE` Generated when all or part of a window becomes visible and needs to be redrawn.
`static ExposeEvent.Type` `NO_EXPOSE` Generated when the area of a Drawable being copied, with Drawable.drawDrawable() or Window.copyArea(), was completely available.

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPOSE

    public static final ExposeEvent.Type EXPOSE

  Generated when all or part of a window becomes visible and needs to be redrawn.

### NO_EXPOSE

    public static final ExposeEvent.Type NO_EXPOSE

  Generated when the area of a Drawable being copied, with Drawable.drawDrawable() or Window.copyArea(), was completely available.